| bram Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XBram_Config Struct Reference
Overview

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
u32 | DataWidth
| BRAM data width. More...
int | EccPresent
| Is ECC supported in H/W. More...
int | FaultInjectionPresent
| Is Fault Injection supported in H/W. More...
int | CorrectableFailingRegisters
| Is Correctable Failing Registers supported in H/W. More...
int | CorrectableFailingDataRegs
| Is Correctable Failing Data Registers supported in H/W. More...
int | UncorrectableFailingRegisters
| Is Un-correctable Failing Registers supported in H/W. More...
int | UncorrectableFailingDataRegs
| Is Un-correctable Failing Data Registers supported in H/W. More...
int | EccStatusInterruptPresent
| Are ECC status and interrupts supported in H/W. More...
int | CorrectableCounterBits
| Number of bits in the Correctable Error Counter. More...
int | EccOnOffRegister
| Is ECC on/off register supported in h/w. More...
int | EccOnOffResetValue
| Reset value of the ECC on/off register in h/w. More...
int | WriteAccess
| Is write access enabled in h/w. More...
UINTPTR | MemBaseAddress
| Device memory base address. More...
UINTPTR | MemHighAddress
| Device memory high address. More...
UINTPTR | CtrlBaseAddress
| Device register base address. More...
UINTPTR | CtrlHighAddress
| Device register base address. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

int XBram_Config::CorrectableCounterBits

Number of bits in the Correctable Error Counter.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

int XBram_Config::CorrectableFailingDataRegs

Is Correctable Failing Data Registers supported in H/W.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

int XBram_Config::CorrectableFailingRegisters

Is Correctable Failing Registers supported in H/W.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

UINTPTR XBram_Config::CtrlBaseAddress

Device register base address.

Referenced by BramExample(), BramIntrExample(), XBram_CfgInitialize(), XBram_InterruptClear(), XBram_InterruptDisable(), XBram_InterruptEnable(), XBram_InterruptGetEnabled(), XBram_InterruptGetStatus(), and XBram_SelfTest().

UINTPTR XBram_Config::CtrlHighAddress

Device register base address.

u32 XBram_Config::DataWidth

BRAM data width.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

u16 XBram_Config::DeviceId

Unique ID of device.

int XBram_Config::EccOnOffRegister

Is ECC on/off register supported in h/w.

int XBram_Config::EccOnOffResetValue

Reset value of the ECC on/off register in h/w.

int XBram_Config::EccPresent

Is ECC supported in H/W.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

int XBram_Config::EccStatusInterruptPresent

Are ECC status and interrupts supported in H/W.

Referenced by BramIntrExample(), XBram_CfgInitialize(), and XBram_SelfTest().

int XBram_Config::FaultInjectionPresent

Is Fault Injection supported in H/W.

Referenced by BramIntrExample(), XBram_CfgInitialize(), and XBram_SelfTest().

UINTPTR XBram_Config::MemBaseAddress

Device memory base address.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

UINTPTR XBram_Config::MemHighAddress

Device memory high address.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

int XBram_Config::UncorrectableFailingDataRegs

Is Un-correctable Failing Data Registers supported in H/W.

Referenced by BramIntrExample(), XBram_CfgInitialize(), and XBram_SelfTest().

int XBram_Config::UncorrectableFailingRegisters

Is Un-correctable Failing Registers supported in H/W.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().

int XBram_Config::WriteAccess

Is write access enabled in h/w.

Referenced by XBram_CfgInitialize(), and XBram_SelfTest().